pcl::io::SingleBuffer< T > Class Template Reference

A simple buffer that only stores data. More...

`#include <pcl/io/buffers.h>`

Inheritance diagram for pcl::io::SingleBuffer< T >:

## Public Member Functions

| SingleBuffer (size_t size)
| Construct a buffer of given size. More...
virtual | ~SingleBuffer ()
virtual T | operator[] (size_t idx) const
| Access an element at a given index. More...
virtual void | push (std::vector< T > &data)
| Insert a new chunk of data into the buffer. More...
Public Member Functions inherited from pcl::io::Buffer< T >
virtual | ~Buffer ()
size_t | size () const
| Get the size of the buffer. More...

## Additional Inherited Members

Public Types inherited from pcl::io::Buffer< T >
typedef T | value_type
Protected Member Functions inherited from pcl::io::Buffer< T >
| Buffer (size_t size)
Protected Attributes inherited from pcl::io::Buffer< T >
const size_t | size_

## Detailed Description

### template<typename T>
class pcl::io::SingleBuffer< T >

A simple buffer that only stores data.

The buffer is thread-safe.

Definition at line 108 of file buffers.h.

## Constructor & Destructor Documentation

## SingleBuffer()

template<typename T >

pcl::io::SingleBuffer< T >::SingleBuffer | ( | size_t | size | ) |

Construct a buffer of given size.

Definition at line 79 of file buffers.hpp.

## ~SingleBuffer()

template<typename T >

pcl::io::SingleBuffer< T >::~SingleBuffer | ( |  | ) |

virtual

Definition at line 86 of file buffers.hpp.

## Member Function Documentation

## operator[]()

template<typename T >

T pcl::io::SingleBuffer< T >::operator[] | ( | size_t | idx | ) | const

virtual

Access an element at a given index.

Implements pcl::io::Buffer< T >.

Definition at line 91 of file buffers.hpp.

References pcl::io::Buffer< T >::size_.

## push()

template<typename T >

void pcl::io::SingleBuffer< T >::push | ( | std::vector< T > & | data | ) |

virtual

Insert a new chunk of data into the buffer.

Note that the data parameter is not `const`-qualified. This is done to allow deriving classes to implement no-copy data insertion, where the data is "stolen" from the input argument.

Implements pcl::io::Buffer< T >.

Definition at line 98 of file buffers.hpp.

References pcl::io::Buffer< T >::size_.

The documentation for this class was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/io/include/pcl/io/buffers.h
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/io/include/pcl/io/impl/buffers.hpp